import { Body, Controller, Post } from '@nestjs/common';
import { AiService } from './ai.service';

@Controller('ai')
export class AiController {
  constructor(private readonly aiService: AiService) {}

  @Post()
  async getBusinessCriteria(@Body('query') query: string) {
    return this.aiService.getBusinessCriteria(query);
  }
}
